PulseAudio 16.1

Data Fields
pa_module_info Struct Reference

Stores information about modules. More...

`#include <introspect.h>`

## Data Fields
uint32_t | index
| Index of the module. More...
const char * | name
| Name of the module. More...
const char * | argument
| Argument string of the module. More...
uint32_t | n_used
| Usage counter or PA_INVALID_INDEX. More...
pa_proplist * | proplist
| Property list. More...

## Detailed Description

Stores information about modules.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ argument

const char * pa_module_info::argument

Argument string of the module.

## ◆ index

uint32_t pa_module_info::index

Index of the module.

## ◆ n_used

uint32_t pa_module_info::n_used

Usage counter or PA_INVALID_INDEX.

## ◆ name

const char* pa_module_info::name

Name of the module.

## ◆ proplist

pa_proplist* pa_module_info::proplist

Property list.

Since
  0.9.15

The documentation for this struct was generated from the following file:

- introspect.h